Openi DeveloperDeveloper
Referência da APIData sources

Setup Openi reconciliation (server-to-server)

Idempotent: ensures an Openi data source exists for the given company and that the `openi_invoices` and `openi_accounting_entries` datasets are present. Returns 201 when at least one resource was created, 200 otherwise.

POST
/v1/setup/openi

Authorization

ApiKeyAuth
x-api-key<token>

Tenant API key

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

companyId*string
Formatuuid
companyName?string

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/setup/openi" \  -H "Content-Type: application/json" \  -d '{    "companyId": "8bb73d03-06b4-47c7-80c7-59301f770eda"  }'
{  "dataSourceId": "2b37f84c-d876-441e-9b27-0c3482a7c574",  "invoiceDataset": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string"  },  "accountingDataset": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string"  },  "created": true}